<bugID>1283676<Summary>File picker for temporary add-ons does not handle directories well</Summary><Description>+++ This bug was initially created as a clone of Bug #1283656 +++

(In reply to Robert Helmer [:rhelmer] from comment #2)
&gt; (In reply to Kris Maglione [:kmag] from comment #1)
&gt; &gt; (In reply to Bill McCloskey (:billm) from comment #0)
&gt; &gt; &gt; 2. Try to load the directory via "Install Temporary Add-on" in
&gt; &gt; &gt; about:debugging. It doesn't let me pick a directory.
&gt; &gt; 
&gt; &gt; Yeah, this has annoyed me in the past too. You can load the directory, but
&gt; &gt; you have to choose an arbitrary file within it.
&gt; &gt; 
&gt; &gt; Can you file a separate bug, and CC Kumar and rhelmer?
&gt; 
&gt; This is actually a limitation in our platform-specific filepicker code, this
&gt; is generally how picking a dir works in Firefox.
&gt; 
&gt; I'm not sure if all platforms allow you to pick a directory *or* a file in
&gt; the same filepicker dialog, but agree it's worth filing a separate bug about.

It's something we should at least be able to fix on the platforms that support
it. If we can't, it might be worth having separate buttons to load temporary
files and temporary directories. The current behavior is pretty frustrating.
And it also makes the recent file list much more confusing when you have a
bunch of entries that all say just "manifest.json".</Description></bugID>